



@import "../ArrowLink/ArrowLink.scss";

.backToTop {
  margin: 1.5rem 0 0;

  &:hover {
    cursor: pointer;

    .icon {
      svg {
        path {
          fill: $link-color-hover;
        }
      }
    }
  }

  .icon {
    margin: 0 0.8rem 0 0;

    svg {
      height: 10px;
      width: 10px;
    }
  }

  a {
    color: $link-color;
    display: inline-block;
    line-height: 1.5rem;
    text-decoration: none;
    transition: all .4s;

    &:hover {
      box-shadow: inset 0 -1px 0 $link-color-hover;
      color: $link-color-hover;
      text-decoration: none;
    }

    &:active, &:visited, &:focus {
      color: $link-color;
      box-shadow: none;
    }
  }
  //prevent link retaining hover style on touch on mobile devices
  @media (hover: none) {
    a:hover {
      box-shadow: none;
      color: $link-color;
    }
  }
}
